6.0.0-git
2019-10-20

[#9657] Add per-tag colored dots to event bubbles
Summary Add per-tag colored dots to event bubbles
Queue Kronolith
Queue Version Git master
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester wizrd (at) hotmail (dot) com
Created 2011-03-13 (3143 days ago)
Due
Updated 2013-06-19 (2314 days ago)
Assigned
Resolved
Milestone
Patch No

History
2013-06-19 07:38:17 almarin (at) ume (dot) s Comment #19 Reply to this comment
How about permit directly assign colors to events?

Yes, I know it is not a real solution, but at least one user would be 
able to distinguish certain events within the same calendar.

This is how Google Calendar is implemented, for example
2012-12-13 16:14:22 Michael Rubinsky Comment #18 Reply to this comment
Well, the comments in #16 still hold true. This is not likely to be 
developed by a Horde dev unless there is some sponsorship.

2012-12-11 17:02:52 stwagner (at) openst (dot) de Comment #17 Reply to this comment
I'd like to request if the priority of this ticket could be raised.

A few of my users using there calenders in a very impressive manner. A 
calender without color would be less usable for them. That's why they 
reject the newest version - what I can understand absolute. But H3 has 
reached its end of life and an upgrade shouldn't pushed to far into 
the future.

2012-04-03 09:39:18 Gunnar Wrobel Comment #16 Reply to this comment
It's not a critical feature, it's not available is most (if not any)
other calendar client, it's a mess to implement, and it's not going
to happen earlier, just because the priority is raised.
Then what does?
Several things are possible:

  - Providing new input on how to implement this without a severe 
performance penalty.
  - Providing a patch with a suggested implementation. Of course this 
should take the previous point into account.
  - Contracting the feature via Horde LLC.

Of course all other input (like a discussion about possible UI 
alternatives) keeps reminding us of the issue as well and might 
provide ideas about alternative solutions.
2012-04-03 09:28:04 stephan (at) admin (dot) nabira (dot) de Comment #15 Reply to this comment
It's not a critical feature, it's not available is most (if not any) 
other calendar client, it's a mess to implement, and it's not going 
to happen earlier, just because the priority is raised.
Then what does?
2012-04-02 21:59:13 Jan Schneider Comment #14 Reply to this comment
It's not a critical feature, it's not available is most (if not any) 
other calendar client, it's a mess to implement, and it's not going to 
happen earlier, just because the priority is raised.
2012-04-02 21:50:02 stephan (at) admin (dot) nabira (dot) de Comment #13 Reply to this comment
I would like to request to raise this ticket's priority to high or at 
least medium.
2012-04-02 18:58:04 horde (at) cntct (dot) org Comment #12 Reply to this comment
My users, however few they are, are also asking for this.

From the comments I understand that the tags backend does not support 
this. At least not without an enormous performance hit.

But what seems to be misunderstood is that, IMHO, this used to be one 
of the key niceties that Horde had going for it. It seems such a 
little thing, but the different colors really made a calendar useable.

To me, and the users I have spoken with, a one-color-calendar is just a blur.

Please re-implement some form of colouring, be it in categories or in 
tags or in other bits. The omission of this feature is a shame.
2011-08-28 01:03:49 Michael Rubinsky Summary ⇒ Add per-tag colored dots to event bubbles
 
2011-08-28 01:02:45 Michael Rubinsky Type ⇒ Enhancement
State ⇒ Accepted
Priority ⇒ 1. Low
 
2011-08-28 01:02:18 Michael Rubinsky Comment #11
Taken from Michael Rubinsky
Reply to this comment
Since some of my users asked again for colored tags in kronolith, I 
request this bug-report being changed to a enhancement request. Even 
if it takes some time I believe it would be worth the effort to find 
a solution for this.

Would it be a possibility to colour events only if there is just one 
tag assigned to it?
No. That would be confusing from a UI point of view. Plus, we are not 
going to color the event bubbles, they are already colored from the 
calendar's selected color. The only possible solution is to add small 
colored dots to the event bubbles for the event's tags (not the 
calendar's tags).

Are the performance implications that big in this
case, also? Why is that so, if I may ask?
The performance implications are due to the fact that we have to query 
the tag backend once for each and every event that is to be displayed 
in the current view. It doesn't matter if the event is tagged with one 
tag or twenty.  It is for this reason we explicitly do NOT query the 
tag information for the calendar views. We can probably add a 
configuration switch to turn this off/on on an install-by-install basis.

We would also need a way to store (and hence query) the user's tag 
colorings, probably in the prefs system, since this information does 
not belong in the tagger backend.

I'll reopen this as an enhancement request, but I have no plans on 
working on this in the near future.


2011-08-24 21:15:35 stephan (at) admin (dot) nabira (dot) de Comment #10 Reply to this comment
Since some of my users asked again for colored tags in kronolith, I 
request this bug-report being changed to a enhancement request. Even 
if it takes some time I believe it would be worth the effort to find a 
solution for this.

Would it be a possibility to colour events only if there is just one 
tag assigned to it? Are the performance implications that big in this 
case, also? Why is that so, if I may ask?
2011-05-24 20:36:17 amoser (at) amoser (dot) com Comment #9 Reply to this comment
I'm missing the colors in kronolith too.
2011-05-01 22:43:14 Michael Rubinsky Comment #8 Reply to this comment
I would be delighted, if some kind of coloring would again be 
implemented soon. I think colored dots would suffice for the tags 
since I saw the calendar's colors being used as background color of 
the events.
This will likely not happen anytime soon, if ever. There would be huge 
performance implications for this. In fact, we went through some 
effort to explicitly NOT query the tag system when building the month 
view for performance reasons.
2011-04-29 12:53:24 stephan (at) skleber (dot) de Comment #7 Reply to this comment
I would be delighted, if some kind of coloring would again be 
implemented soon. I think colored dots would suffice for the tags 
since I saw the calendar's colors being used as background color of 
the events.
2011-03-28 17:03:21 Michael Rubinsky Comment #6 Reply to this comment
I suppose we could color the tag text when it is displayed in the UI. 
We could also add small "dots" to the event when displayed in a 
calendar view for each tag, but this is still not ideal since both the 
calendar itself, and the events can be tagged. So, you could end up 
having to display the same color dots for every event belonging to a 
calendar, in addition to that event's bubble being colored based on 
the calendar. Too confusing, IMO.

This also might have performance implications. We would now have to 
not only query the tags from the content system, but also query the 
tag colors from the user's prefs. For views like a month view, this 
can add up, though I guess if we make this a config switch, we can let 
the admin decide which is more important...
2011-03-28 14:48:08 Chuck Hagenbuch Comment #5 Reply to this comment
We could revisit this - not to color the event, but to list colored 
tags with events (like colors for gmail labels, or how you can do 
colors for custom flags in IMP 5).
2011-03-28 11:54:49 Michael Rubinsky Comment #4 Reply to this comment
But I wonder why they do not get coloured like I set in 
category_colors. Is colouring of tags not supported?
No. Mostly because items may contain multiple tags.
2011-03-28 09:34:09 michael (dot) groene (at) zel (dot) uni-hannover (dot) de Comment #3 Reply to this comment
Categories are being dropped in favor of tags in Horde 4. Not all 
applications have made the switch over yet, but Kronolith has.
I imported an calendar from kronolith3 to kronolith4. In my case the 
categories were taken over as tag, correctly.
But I wonder why they do not get coloured like I set in 
category_colors. Is colouring of tags not supported?
2011-03-13 12:21:40 Michael Rubinsky Comment #2
Assigned to Michael Rubinsky
State ⇒ Not A Bug
Priority ⇒ 1. Low
Reply to this comment
Categories are being dropped in favor of tags in Horde 4. Not all 
applications have made the switch over yet, but Kronolith has.
2011-03-13 11:21:59 wizrd (at) hotmail (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Categories / Tags Ignored
Queue ⇒ Kronolith
Milestone ⇒
Patch ⇒ No
Reply to this comment
Any imported or created events in Kronolith do not apply the Horde 
categories set in the preferences.

I have tried creating new and copying but any Categories in Horde do 
not "follow" Kronolith Tags for events.

This worked in previous horde versions, just appears to be broken / 
dropped in Horde 4 Alpha

Saved Queries